Bug 492212 (CVE-2009-1044) - CVE-2009-1044 Firefox XUL garbage collection issue (cansecwest pwn2own)
Summary: CVE-2009-1044 Firefox XUL garbage collection issue (cansecwest pwn2own)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1044
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20090327,impact=critical,repor...
Depends On: 492213 492214 492215 492216 492217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-25 22:15 UTC by Mark J. Cox
Modified: 2019-06-08 12:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:32:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0397 normal SHIPPED_LIVE Critical: firefox security update 2009-03-27 23:35:33 UTC
Mozilla Foundation 484320 None None None Never
Red Hat Product Errata RHSA-2009:0398 normal SHIPPED_LIVE Critical: seamonkey security update 2009-03-27 23:23:39 UTC

Comment 3 Josh Bressers 2009-03-26 23:50:57 UTC
During the 2009 CanSecWest PWN2OWN competition, Nils demonstrated an attack involving XUL <tree> _moveToEdgeShift and garbage-collection in order to execute arbitrary code as the user running Firefox.

Comment 5 Josh Bressers 2009-03-27 23:04:24 UTC
This is now public:
http://www.mozilla.org/security/announce/2009/mfsa2009-13.html

Comment 6 errata-xmlrpc 2009-03-27 23:23:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 2.1
  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0398 https://rhn.redhat.com/errata/RHSA-2009-0398.html

Comment 7 errata-xmlrpc 2009-03-27 23:35:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0397 https://rhn.redhat.com/errata/RHSA-2009-0397.html

Comment 8 Fedora Update System 2009-03-30 17:23:31 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-03-31 20:29:33 UTC
seamonkey-1.1.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-03-31 20:38:01 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.